apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: homepage
    app.kubernetes.io/component: homepage
    app.kubernetes.io/instance: homepage
  name: homepage
spec:
  progressDeadlineSeconds: 600
  replicas: 2
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      deployment: homepage
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        openshift.io/generated-by: OpenShiftNewApp
      creationTimestamp: null
      labels:
        deployment: homepage
    spec:
      containers:
      - image: "registry.gitlab.com/toolchainbox/gitops/phpdemo/phpdemo-app:latest"
        imagePullPolicy: Always
        env:
          - name: sva
            value: rocks
        name: homepage
        ports:
        - containerPort: 8080
          protocol: TCP
        - containerPort: 8443
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
